package cn.estsh.i3plus.core.apiservice.serviceimpl.base;

import cn.estsh.i3plus.core.api.iservice.base.ISysLogService;
import cn.estsh.i3plus.core.apiservice.util.NoSqlPack;
import cn.estsh.i3plus.platform.plugin.elasticsearch.ElasticSearchTool;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogException;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogOperate;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogSystem;
import cn.estsh.i3plus.pojo.platform.platbean.SysLogTaskTime;
import cn.estsh.impp.framework.boot.util.ImppLog;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description :
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 20-2-13 下午4:16
 * @Modify:
 **/
@Service
public class SysLogElasticSearchService implements ISysLogService {

    public static final Logger LOGGER = LoggerFactory.getLogger(SysLogElasticSearchService.class);

    @Autowired
    private ImppLog imppLog;

    @Override
    public ListPager<SysLogException> queryLogExceptionPager(SysLogException log, Pager pager) {
        return ElasticSearchTool.searchPager(NoSqlPack.packEsSysLogException(log),pager,SysLogException.class);
    }

    @Override
    public List<SysLogException> findLogExceptionList(SysLogException log, Pager pager) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogException(log),pager,SysLogException.class);
    }

    @Override
    public List<SysLogException> findLogExceptionList(SysLogException log) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogException(log),SysLogException.class);
    }

    @Override
    public SysLogException insertLogException(SysLogException log) {
        imppLog.insertSysLogException(log);
        return log;
    }

    @Override
    public SysLogException getLogException(SysLogException log) {
        return ElasticSearchTool.getPrimaryKey(log.getId(),SysLogException.class);
    }

    @Override
    public ListPager<SysLogOperate> queryLogOperatePager(SysLogOperate log, Pager pager) {
        return ElasticSearchTool.searchPager(NoSqlPack.packEsSysLogOperate(log),pager,SysLogOperate.class);
    }

    @Override
    public List<SysLogOperate> findLogOperateList(SysLogOperate log, Pager pager) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogOperate(log),pager,SysLogOperate.class);
    }

    @Override
    public List<SysLogOperate> findLogOperateList(SysLogOperate log) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogOperate(log),SysLogOperate.class);
    }

    @Override
    public SysLogOperate insertLogOperate(SysLogOperate log) {
        imppLog.insertSysLogOperate(log);
        return log;
    }

    @Override
    public SysLogOperate getLogOperate(SysLogOperate log) {
        return ElasticSearchTool.getPrimaryKey(log.getId(),SysLogOperate.class);
    }

    @Override
    public ListPager<SysLogSystem> queryLogSystemPager(SysLogSystem log, Pager pager) {
        return ElasticSearchTool.searchPager(NoSqlPack.packEsSysLogSystem(log),pager,SysLogSystem.class);
    }

    @Override
    public List<SysLogSystem> findLogSystemList(SysLogSystem log, Pager pager) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogSystem(log),pager,SysLogSystem.class);
    }

    @Override
    public List<SysLogSystem> findLogSystemList(SysLogSystem log) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogSystem(log), SysLogSystem.class);
    }

    @Override
    public SysLogSystem insertLogSystem(SysLogSystem log) {
        imppLog.insertSysLogSystem(log);
        return log;
    }

    @Override
    public SysLogSystem getLogSystem(SysLogSystem log) {
        return ElasticSearchTool.getPrimaryKey(log.getId(),SysLogSystem.class);
    }

    @Override
    public ListPager<SysLogTaskTime> queryLogTaskTimePager(SysLogTaskTime log, Pager pager) {
        return ElasticSearchTool.searchPager(NoSqlPack.packEsSysLogTaskTime(log),pager,SysLogTaskTime.class);
    }

    @Override
    public List<SysLogTaskTime> findLogTaskTimeList(SysLogTaskTime log, Pager pager) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogTaskTime(log),pager,SysLogTaskTime.class);
    }

    @Override
    public List<SysLogTaskTime> findLogTaskTimeList(SysLogTaskTime log) {
        return ElasticSearchTool.searchList(NoSqlPack.packEsSysLogTaskTime(log),SysLogTaskTime.class);
    }

    @Override
    public SysLogTaskTime insertLogTaskTime(SysLogTaskTime log) {
        imppLog.insertSysLogTaskTime(log);
        return log;
    }

    @Override
    public SysLogTaskTime getLogTaskTime(SysLogTaskTime log) {
        return ElasticSearchTool.getPrimaryKey(log.getId(),SysLogTaskTime.class);
    }

    /******************************************************* 定时任务日志 End *********************************************************/


    @Override
    public Map<String, Object> querySysLogSystemAvgExecuteTime(String startTime, String endTime) {
        Map resultData = new LinkedHashMap();
        return resultData;
    }

    @Override
    public Map<String, Object> querySysLogSystemByLevel(String startTime, String endTime) {
        Map resultData = new LinkedHashMap();
        return resultData;
    }

    /******************************************************* 系统异常日志 End *********************************************************/


}
